/*--------------------------------------------------------------------------*/
/*スマホ表示*/
@media screen and (max-width: 768px) {
    .input-space, .check-space {
        flex: 1;
        padding: 1em;
        display: flex;
        flex-direction: column;
    }
    .input-space label,.check-space label {
        font-weight: 600;
    }
    .search-item label {
        margin-right: 1em;
    }
    .search-item-input {
        display: flex;
        justify-content: center;
        font-weight: 600;
    }
    .search-item input,.search-item select {
        /* flex-grow: 1; */
        font-size: 0.8em;
        border: 1px solid #e0e0e0;
        border-radius: 6px;
        background-color: #fafafa;
        transition: all 0.3s ease;
    }
    .search-item input:focus, .search-item select:focus {
        border-color: #007aff;
        box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.1);
    }

    .freeword-input {
        flex-grow: 1;
        font-weight: 600;
        font-size: 0.8em;
        border: 1px solid #e4007f; /* 内側の枠 */
        border-radius: 6px;
        background-color: #fafafa;
        box-shadow: 0 0 0 1.5px #e4007f; /* 外側の偽の枠 */
        transition: all 0.3s ease;
    }




    /* wd */
    .search-content {
        display: none;
    }

    .search-form-area {
        font-size: 0.9em;
        display: flex;
        flex-direction: column;
    }
    .search-item {
        margin-bottom: 1.2em;
        display: flex;
        align-items: center;
    }
    .check-space {
        padding-left: 1em;
    }
    .checkbox-group {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        margin: 1em 0;
    }
    /* wd */
    .checkbox-group .item {
        padding: 0.3em 0;
    }
    .checkbox-group label {
        white-space: nowrap;
        margin: 0.5em;
        font-size: 1em;
        color: #444;
        font-weight: 600;
    }
    .section-label {
        font-size: 1.1em;
        margin-bottom: 0.5em;
        color: #222;
        font-weight: 700;
        background-color: #f2f4f7;
        padding: 0.3em 0.8em;
        border-radius: 6px;
    }

    .search-button{
        display: flex;
        justify-content: center;
        padding-top: 1em;
    }
    .btn-send {
        background-color: #243250;
        color: #FFFFFF;
        border: none;
        border-radius: 10px;
        padding: 0.2em 1.5em;
        font-size: 1.25em;
        font-weight: 600;
        cursor: pointer;
        transition: all 0.3s ease;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        text-align: center;
        vertical-align: middle;
    }
    .btn-send:hover {
        background-color: #0077CC;
        box-shadow: 0 6px 8px rgba(0, 0, 0, 0.15);
    }
    .register-title {
        margin-top: 0.5em;
    }
    .register-form-area {
        display: flex;
        gap: 1em;
        justify-content: center;
        padding: 1em;
    }
    .register-button {
        background-color: #952f1d;
        color: #FFFFFF;
        border: none;
        border-radius: 10px;
        padding: 0.1em 1.1em;
        font-size: 1.25em;
        font-weight: 600;
        cursor: pointer;
        transition: all 0.3s ease;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        text-align: center;
        vertical-align: middle;
        text-decoration: none;
    }
    .register-button:hover {
        background-color: #df0616;
        box-shadow: 0 6px 8px rgba(0, 0, 0, 0.15);
    }
    .update-button {
        background-color: #c75603;
        color: #FFFFFF;
        border: none;
        border-radius: 10px;
        padding: 0.1em 0.6em;
        font-size: 1.25em;
        font-weight: 600;
        cursor: pointer;
        transition: all 0.3s ease;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        text-align: center;
        vertical-align: middle;
        text-decoration: none;
    }
    .update-button:hover {
        background-color: #ff9900;
        box-shadow: 0 6px 8px rgba(0, 0, 0, 0.15);
    }

}

/*--------------------------------------------------------------------------*/
/*PC表示*/
@media screen and (min-width: 769px) {
    .input-space, .check-space {
        flex: 1;
        padding: 0 1em;
        display: flex;
        flex-direction: column;
    }
    .search-item label {
        margin-right: 1em;
    }
    .input-space label,.check-space label {
        font-weight: 600;
    }
    .input-space .item-wrap {
        display: flex;
        justify-content: space-between;
    }
    .search-item-input {
        /* flex-grow: 1; */
        font-size: 1.2em;
        padding: 0.2em 0.5em;
        border: 2px solid #e0e0e0;
        border-radius: 6px;
        background-color: #fafafa;
        transition: all 0.3s ease;
        font-weight: bold;
    }
    .search-item input:focus, .search-item select:focus {
        border-color: #007aff;
        box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.1);
    }

    .freeword-input {
        flex-grow: 1;
        font-size: 1.2em;
        font-weight: bold;
        padding: 0.5em;
        border: 2px solid #e4007f; /* 内側の枠 */
        border-radius: 6px;
        background-color: #fafafa;
        box-shadow: 0 0 0 1.5px #e4007f; /* 外側の偽の枠 */
        transition: all 0.3s ease;
    }

    .freeword-input:focus {
        border-color: #007aff;
        box-shadow: 0 0 0 4px #007aff, 0px 2px 8px rgba(0, 0, 0, 0.1); /* 外側の偽の枠もフォーカス時に色を変更 */
    }


    .search-form-area {
        display: flex;
        flex-direction: row;
        border: solid 10px #F08F00;
        padding: 10px;
        box-sizing: border-box;
    }
    .search-form-area .btn-send {
        width: 10%;
        box-sizing: border-box;
        padding: 0;
        display: flex;
    }
    .search-form-area .btn-send input {
        /* background: none; */
        background: url('/img/com/ico_search.png') left top no-repeat;
        background-size: contain;
        border: none;
        padding: 0 !important;
        -moz-border-radius: 0;
        -webkit-border-radius: 0;
        border-radius: 0;
        display: block;
        width: 100%;
        /* height: 100%; */
        max-width: 100%;
        cursor: pointer;
        text-indent: -1000%;
        overflow: hidden;
        min-height: 130px;
        margin: auto;
        background-position: center center;
    }
    .search-form-area .btn-send input:hover {
        opacity: 0.8;
    }
    
    .search-item {
        font-size: 1em;
        margin-bottom: 0.8em;
        display: flex;
        align-items: center;
        white-space: nowrap;
    }
    .input-space .item-wrap.last .search-item {
        margin-bottom: 0;
    }
    .check-space {
        border-left: 1px solid #f0f0f0;
        padding: 0 1em;
    }
    .checkbox-group {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
    }
    .checkbox-group label {
        line-height: 2em;
        white-space: nowrap;
        margin: 0.5em;
        font-size: 0.9em;
        font-weight: 600;
        color: #444;
        cursor: pointer;
        transition: color 0.3s ease;
    }
    .checkbox-group label:hover {
        color: #007aff;
    }
    .section-label {
        font-size: 1em;
        margin-bottom: 0.4em;
        color: #222;
        font-weight: 700;
        background-color: #f2f4f7;
        padding: 0.3em 0.8em;
        border-radius: 6px;
        display: inline-block;
        line-height: 1.2;
    }
    .commodity{
        margin-top: 2em;
    }
    .search-button{
        display: flex;
        justify-content: center;
        padding-top: 2em;
    }
    /* .btn-send {
        background-color: #243250;
        color: #FFFFFF;
        border: none;
        border-radius: 10px;
        padding: 12px 70px;
        font-size: 1.5em;
        font-weight: 600;
        cursor: pointer;
        transition: all 0.3s ease;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        text-align: center;
        vertical-align: middle;
    }
    .btn-send:hover {
        background-color: #0077CC;
        box-shadow: 0 6px 8px rgba(0, 0, 0, 0.15);
    } */
    .register-title {
        margin-top: 1.5em;
    }
    .register-form-area {
        display: flex;
        gap: 3em;
        justify-content: center;
        margin: 0 0 1em auto;
        align-items: center;

    }
    .register-button {
        background-color: #952f1d;
        color: #FFFFFF;
        border: none;
        border-radius: 10px;
        padding: 0.5em 3em;
        font-size: 1.1em;
        font-weight: 600;
        cursor: pointer;
        transition: all 0.3s ease;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        text-align: center;
        vertical-align: middle;
        text-decoration: none;
    }
    .register-button:hover {
        background-color: #df0616;
        box-shadow: 0 6px 8px rgba(0, 0, 0, 0.15);
    }
    .update-button {
        background-color: #c75603;
        color: #FFFFFF;
        border: none;
        border-radius: 10px;
        padding: 0.5em 3em;
        font-size: 1.1em;
        font-weight: 600;
        cursor: pointer;
        transition: all 0.3s ease;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        text-align: center;
        vertical-align: middle;
        text-decoration: none;
    }
    .update-button:hover {
        background-color: #ff9900;
        box-shadow: 0 6px 8px rgba(0, 0, 0, 0.15);
    }
}
